#ifndef FRIENDS_HPP_INCLUDED
#define FRIENDS_HPP_INCLUDED

#include "../../../Core/Classes/Friend.hpp"
#include <functional>
#include <vector>

/** @addtogroup GameTabs
* @{ */
class Friends
{
    public:
        static bool IsOpen();
        static bool Open();
        static std::vector<Internal::Friend> GetAll();
        static std::vector<Internal::Friend> GetAll(const std::function<bool (Internal::Friend&)>& Filter);
};

/** @} */

#endif // FRIENDS_HPP_INCLUDED
